const a = (e) => {
  var r;
  (r = e.layerIds) != null && r.length && e.layerIds.forEach((i) => {
    const l = document.getElementById(i), s = l.children[0];
    s._transitionTimer && clearTimeout(s._transitionTimer);
    const n = s.style.transform.split(" "), d = n[0] || "", m = n[1] || "";
    if (s.style.transform = `${d} ${m} rotateX(${e.x}deg) rotateY(${e.y}deg) rotateZ(${e.z}deg)`, (e.x > 0 || e.y > 0 || e.z > 0) && (l.style.perspective = e.perspective + "px"), e.speed !== "") {
      s.style.transition = `transform ${e.duration}ms ${e.speed} ${e.delay}ms`;
      const y = e.duration + e.delay;
      s._transitionTimer = setTimeout(() => {
        s.style.transition = "";
      }, y);
    }
  });
};
export {
  a as executeRotateAction
};
